Bug 2428 - Недолокализован Shotwell в GNOME edition
: Недолокализован Shotwell в GNOME edition
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on: 2790
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 12:09 MSD by JDronova
Modified: 2013-11-18 13:02 MSK (History)
5 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
непереведённые места (211.49 KB, image/png)
2013-08-01 12:09 MSD, JDronova
Details
shotwell (29.60 KB, image/png)
2013-08-27 01:52 MSD, Alexander Petryakov
Details
no translate (25.81 KB, image/png)
2013-08-31 12:19 MSD, Vladimir Potapov
Details
no translate2 (681.36 KB, image/png)
2013-08-31 12:20 MSD, Vladimir Potapov
Details
полностью переведённые пошки с транзификса shotwell (26.88 KB, application/x-7z-compressed)
2013-10-10 18:44 MSD, JDronova
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JDronova 2013-08-01 12:09:11 MSD
Created attachment 1724 [details]
непереведённые места

Есть недоделки в локализации интерфейса Shotwell.
Перевод проекта у них на Транзификсе, подключилась к работе: https://www.transifex.com/projects/p/shotwell/resource/shotwell-core/l/ru/
Comment 1 JDronova 2013-08-01 12:25:50 MSD
Версия пакета: shotwell-0.14.0-1-rosa2012.1.x86_64
Comment 2 JDronova 2013-08-01 13:58:08 MSD
Доделала до 100% ждём обновлений в апстриме.
Comment 3 JDronova 2013-08-26 16:35:37 MSD
Проверила обновлённую сборку по багу
http://bugs.rosalinux.ru/show_bug.cgi?id=2580

Выглядит полностью переведённым, ура.
Comment 4 Alexander Petryakov 2013-08-27 01:52:32 MSD
Created attachment 1849 [details]
shotwell

Url of you Piwigo photo library и далее не переведены
Comment 5 JDronova 2013-08-27 09:49:43 MSD
СТранно, щас гляну в файле, спасибо за уточнение!(In reply to comment #4)
> Created attachment 1849 [details]
> shotwell
> 
> Url of you Piwigo photo library и далее не переведены

Ммм.... спасибо за замечание, но в тех файлах, которые выложены в проекте на Транзификсе, я таких строк не нашла, и там перевод 100% полностью. Как вариант, девелоперы добавили новые строки, но файлы ещё не были синхронизированы. Или он их берёт откуда-то ещё. Попробую найти какую-нибудь рассылку по shotwell и выяснить.
Comment 6 JDronova 2013-08-27 11:33:21 MSD
Саша, а какая у вас версия, чтобы точно знать?
Comment 7 Alexander Petryakov 2013-08-27 14:32:26 MSD
shotwell-0.14.1-1
(https://abf.rosalinux.ru/build_lists/1220283)
Comment 8 Vladimir Potapov 2013-08-31 12:19:13 MSD
Created attachment 1870 [details]
no translate
Comment 9 Vladimir Potapov 2013-08-31 12:20:59 MSD
Created attachment 1871 [details]
no translate2
Comment 10 JDronova 2013-09-10 19:26:15 MSD
Написала в рассылку Shotwell чтобы проверили файлы, лежащие на Транзификсе.
Comment 11 JDronova 2013-09-10 23:50:37 MSD
Ответили: 
Thanks for reporting this.  It appears there's a problem in the script file that generates the .pot files.  We'll get this fixed for the 0.15 release.  I've ticketed it here: http://redmine.yorba.org/issues/7459 

Подписалась на баг.
Comment 12 JDronova 2013-09-20 08:26:32 MSD
А я прошу прощения, как происходило обновление до 0.14.1? В 0.14.1 были подставлены файлы локализации, сделанные для 0.14.0, т.е. для версии, на которую был открыт баг..?
Comment 13 JDronova 2013-09-20 08:40:05 MSD
Значит, давайте мы соберём shotwell 0.14.0 с данным переводом и проверим. Не совсем понимаю политику: перевод делается для определённой версии, а мы тут же обновляем прогу и говорим, что перевод недоделан.
Comment 14 JDronova 2013-09-20 08:47:18 MSD
Значит, забрала SRPM для 0.14.1 по ссылке в контейнере ( https://abf.rosalinux.ru/build_lists/1220283 ), и там внутри упакован .po с 49 непереведёнными сообщениями. Убедительно прошу собрать версию 0.14.0 с 100% переводом, приложенным здесь в баге и дать ссылку на контейнер сюда. Спасибо заранее.
Comment 15 JDronova 2013-10-10 17:36:13 MSD
*** Bug 2769 has been marked as a duplicate of this bug. ***
Comment 16 JDronova 2013-10-10 18:44:41 MSD
Created attachment 1984 [details]
полностью переведённые пошки с транзификса shotwell

Я там бодалась с разрабами Shotwell, будет скорей всего пара непереведённых мест из-за глюков gettext или кривых рук разрабов, но это бодание в процессе, и щас уже не поправить. Тем более уже вот-вот выйдет 0.15, там и продолжим. А 0.14.1 не нужно.
Comment 17 Alexander Burmashev 2013-10-10 19:52:14 MSD
редиффнул патч с учетом этих пошек
 https://abf.rosalinux.ru/build_lists/1342155
 https://abf.rosalinux.ru/build_lists/1342156
Comment 18 JDronova 2013-10-10 20:02:39 MSD
(In reply to comment #17)
> редиффнул патч с учетом этих пошек
>  https://abf.rosalinux.ru/build_lists/1342155
>  https://abf.rosalinux.ru/build_lists/1342156

Looks good, всё пучком вроде
Comment 19 Denis Silakov 2013-11-18 13:02:56 MSK
Эти пакеты уже в репах.